Cannot backup VP Server after upgrade to new version

After upgrade VP Server to new version then the backup script become fail to work with following (or similar) error.

[message] java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory
[message] at v.bsr.as.<clinit>(:15)
[message] at v.bsr.az.<init>(:783)
[message] at v.bsr.bk.<init>(:253)
[message] at v.bsr.bk.a(:94)
[message] at v.sj.bz.a(:252)
[message] at v.sy.c.a(:164)
[message] at v.ayi.e.c(:267)
[message] at v.ayi.e.a(:99)
[message] at migration.ExportVPServerMain.<init>(:266)
[message] at migration.ExportVPServerMain.main(:24)
[message] Caused by: java.lang.ClassNotFoundException: org.apache.commons.logging.LogFactory
[message] at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
[message] at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
[message] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
[message] at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
[message] ... 10 more 

This is caused by latest release of VP Server having some changes to its bundled library. Since the server upgrade can only upgrade the server application itself but not its runtime and bundled script files, this causing the script files from older version unable to work with the new server. To solve this problem user can simply replace the script file with those from newer version (download below).

Download VP Server Backup Script

Version  Download Link
15.2 Windows Linux Mac OS X

* The downloaded file packed in zip is in text file format. Please rename it with appropriate extension.

 

Related Know-how

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply